Please merge arb 5.5-2 (multiverse) from Debian unstable (non-free)

Bug #1194864 reported by Graham Inggs on 2013-06-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
arb (Ubuntu)
Undecided
Graham Inggs

Bug Description

arb (5.5-2) unstable; urgency=low

  [ Tim Booth ]
  * debian/rules: Make sure arb_edit4 will be really built and abort package
    building process if not

  [ Andreas Tille ]
  * Rebuild against libmotiv-dev in main
    Closes: #713061
  * Add 4.6.3, 4.7.3 and 4.8.[0-3] to ALLOWED_GCC_VERSIONS
    Closes: #713219
  * debian/control:
     - remove DM-Upload-Allowed
     - Build-Depends: libglu1-mesa-dev
     - add raxml to Depends and do not build third party copy any more
       (debian/patches/60_use_debian_packaged_raxml.patch)
  * debian/patches/*: DEP3 comments
  * debian/patches/50_build_naligner.patch: Fix build issue that was
    caused by some brocken $(CFLAGS)
  * debian/rules: use xz compression

 -- Andreas Tille <email address hidden> Mon, 24 Jun 2013 09:42:03 +0200

arb (5.5-1) unstable; urgency=low

  * New upstream version (+adapted patches)
  * Standards-Version: 3.9.4 (no changes needed)
  * debian/po: Add Slovak po-debconf translation (Thanks to
    Slavko <email address hidden> for the translation)
    Closes: #686275
  * debian/rules: Add '-lm' as suggested in patch by Konstantinos Margaritis
    <email address hidden> to fix the build problem on armhf.
    This together with new upstream closes: #692499

 -- Andreas Tille <email address hidden> Tue, 11 Dec 2012 09:59:08 +0100

Ubuntu changes:

arb (5.3-4ubuntu2) quantal; urgency=low

  * Fix build failure on ARM.

 -- Matthias Klose <email address hidden> Sat, 13 Oct 2012 16:24:57 +0200

arb (5.3-4ubuntu1) quantal; urgency=low

  * Transition to libglew-dev (1.8)

 -- Dmitrijs Ledkovs <email address hidden> Sun, 09 Sep 2012 01:22:54 +0100

Build failure on ARM was fixed upstream. [1]
Remaining Ubuntu changes:
  * Transition to libglew-dev (1.8)

[1] http://bugs.arb-home.de/changeset/9120

Graham Inggs (ginggs) wrote :
Changed in arb (Ubuntu):
status: New → In Progress
assignee: nobody → Graham Inggs (ginggs)
Graham Inggs (ginggs) on 2013-06-26
description: updated
Jeremy Bicha (jbicha) wrote :

Uploaded. Thanks for your work!

Next time please add the bug number to your changelog so that the bug will be auto-closed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package arb - 5.5-3ubuntu1

---------------
arb (5.5-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1194864). Remaining changes:
    - Transition to libglew-dev (1.8)

arb (5.5-3) unstable; urgency=low

  * debian/control:
     - Restrict arb to architectures
         amd64 i386 kfreebsd-i386 kfreebsd-amd64
       because only there raxml is fullfilled. This makes sense because
       arb will most probably used only on these architectures anyway.
       Closes: #714268
     - Remove Dependency from openjdk which is not needed any more
       according to upstream
  * debian/arb-common.README.debian: Explain restriction to certain
    architectures
  * debian/arb.README.debian: Updated about architecture restriction
    and other things

arb (5.5-2) unstable; urgency=low

  [ Tim Booth ]
  * debian/rules: Make sure arb_edit4 will be really built and abort package
    building process if not

  [ Andreas Tille ]
  * Rebuild against libmotiv-dev in main
    Closes: #713061
  * Add 4.6.3, 4.7.3 and 4.8.[0-3] to ALLOWED_GCC_VERSIONS
    Closes: #713219
  * debian/control:
     - remove DM-Upload-Allowed
     - Build-Depends: libglu1-mesa-dev
     - add raxml to Depends and do not build third party copy any more
       (debian/patches/60_use_debian_packaged_raxml.patch)
  * debian/patches/*: DEP3 comments
  * debian/patches/50_build_naligner.patch: Fix build issue that was
    caused by some brocken $(CFLAGS)
  * debian/rules: use xz compression

arb (5.5-1) unstable; urgency=low

  * New upstream version (+adapted patches)
  * Standards-Version: 3.9.4 (no changes needed)
  * debian/po: Add Slovak po-debconf translation (Thanks to
    Slavko <email address hidden> for the translation)
    Closes: #686275
  * debian/rules: Add '-lm' as suggested in patch by Konstantinos Margaritis
    <email address hidden> to fix the build problem on armhf.
    This together with new upstream closes: #692499
 -- Graham Inggs <email address hidden> Thu, 27 Jun 2013 14:57:02 +0200

Changed in arb (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers